org.apache.lucene.search.similarities

## Class NormalizationH1

- java.lang.Object
- - org.apache.lucene.search.similarities.Normalization
  - - org.apache.lucene.search.similarities.NormalizationH1

-     public class NormalizationH1
      extends Normalization

  Normalization model that assumes a uniform distribution of the term frequency.

  While this model is parameterless in the original article, information-based models (see `IBSimilarity`) introduced a multiplying factor. The default value for the `c` parameter is `1`.

  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.search.similarities.Normalization

      `Normalization.NoNormalization`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NormalizationH1()` Calls `NormalizationH1(1)`
    `NormalizationH1(float c)` Creates NormalizationH1 with the supplied parameter `c`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getC()` Returns the `c` parameter.
    `float` | `tfn(BasicStats stats, float tf, float len)` Returns the normalized term frequency.
    `String` | `toString()` Subclasses must override this method to return the code of the normalization formula.

    - ### Methods inherited from class org.apache.lucene.search.similarities.Normalization

      `explain`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NormalizationH1

          public NormalizationH1(float c)

      Creates NormalizationH1 with the supplied parameter `c`.
      Parameters:
        `c` - hyper-parameter that controls the term frequency normalization with respect to the document length.

    - #### NormalizationH1

          public NormalizationH1()

      Calls `NormalizationH1(1)`

  - ### Method Detail

    - #### tfn

          public final float tfn(BasicStats stats,
                  float tf,
                  float len)

      Description copied from class: `Normalization`
      Returns the normalized term frequency.
      Specified by:
        `tfn` in class `Normalization`
        `len` - the field length.

    - #### toString

          public String toString()

      Description copied from class: `Normalization`
      Subclasses must override this method to return the code of the normalization formula. Refer to the original paper for the list.
      Specified by:
        `toString` in class `Normalization`

    - #### getC

          public float getC()

      Returns the `c` parameter.
      See Also:
        `NormalizationH1(float)`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.